#include "coil.hpp"

Coil::Coil(uint32_t currentYear, uint32_t amountOfSegments) 
	: currentYear(currentYear) {
	for (short i = amountOfSegments / -2.; i < amountOfSegments / 2.; i++) {
		uint32_t year = this->currentYear + i;
    	segments.push_back(CoilSegment(this, year, segmentHeight, i, 3,false));
	}
};

std::vector<CoilSegment> &Coil::getSegments() {
	return segments;
}

double Coil::getWidth() {
	return width;
}